Bug 189176 - default ACI on userRoot suffix doesn't match default admin group
Summary: default ACI on userRoot suffix doesn't match default admin group
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 152373 fds103trackingbug 240316
TreeView+ depends on / blocked
 
Reported: 2006-04-17 20:45 UTC by Ulf Weltman
Modified: 2015-12-07 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:39:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached exported ldif which shows proper ACI (5.90 KB, application/octet-stream)
2007-12-07 16:20 UTC, Anh Nguyen
no flags Details

Description Ulf Weltman 2006-04-17 20:45:54 UTC
Description of problem:
One of the default ACI on the user suffix is:
aci: (targetattr ="*")(version 3.0;acl "Directory Administrators Group";allow
 (all) (groupdn = "ldap:///ou=Directory Administrators, dc=cup,dc=hp,dc=com")
 ;)

But the DN of the default directory administrators group is "cn=Directory
Administrators, dc=cup,dc=hp,dc=com" so that doesn't match the ACI.  In
ldapserver/ldap/ldif/template.ldif change the "ou" to "cn" in that ACI...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Nathan Kinder 2006-04-18 17:34:17 UTC
Checked into HEAD (ldapserver).

Checking in template.ldif;
/cvs/dirsec/ldapserver/ldap/ldif/template.ldif,v  <--  template.ldif
new revision: 1.5; previous revision: 1.4
done

Index: template.ldif
===================================================================
RCS file: /cvs/dirsec/ldapserver/ldap/ldif/template.ldif,v
retrieving revision 1.4
diff -r1.4 template.ldif
47c47
<  ou=Directory Administrators, %%%SUFFIX%%%");)
---
>  cn=Directory Administrators, %%%SUFFIX%%%");)

Comment 2 Anh Nguyen 2007-12-07 16:20:12 UTC
Verified.

See attached for the exported ldif file.

Comment 3 Anh Nguyen 2007-12-07 16:20:59 UTC
Created attachment 281331 [details]
Attached exported ldif which shows proper ACI


Note You need to log in before you can comment on or make changes to this bug.